export declare type TCallback = (result: {
    type: string;
    value: string;
}) => void;
declare class ScanListener {
    private isInitialized;
    private listeners;
    constructor();
    /**
     * 初始化外设扫码结果监听
     */
    initPeripheralsListener(interaction: any): void;
    addListener(interaction: any, key: string, callback: TCallback): void;
    removeListener(key: string): void;
    getActiveListener(): string | null;
    setActiveListener(key: string): void;
    destroy(): void;
}
declare const scanListener: ScanListener;
export default scanListener;
